about summary refs log tree commit diff stats
path: root/bootstrap/setup/setup.sh
diff options
context:
space:
mode:
authorene <ene@sils.li>2023-02-24 17:21:33 +0100
committerene <ene@sils.li>2023-02-24 17:21:33 +0100
commit386a1d9fb85fe163c7686ae8409eeca6f0ae89f3 (patch)
tree1d0a98116395fb3c285ce85b28ea90b91cef618e /bootstrap/setup/setup.sh
parentFix(neovim): Use the right name for the config dir (diff)
downloadnixos-config-386a1d9fb85fe163c7686ae8409eeca6f0ae89f3.tar.gz
nixos-config-386a1d9fb85fe163c7686ae8409eeca6f0ae89f3.zip
Feat(bootstrap): Add nvim to the setup
This is still not very nixy, but I would like to have it just work right
now. But sure, this will (hopefully) get rewritten someday.
Diffstat (limited to '')
-rwxr-xr-xbootstrap/setup/setup.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/bootstrap/setup/setup.sh b/bootstrap/setup/setup.sh
index 8ef74b0a..3a73793b 100755
--- a/bootstrap/setup/setup.sh
+++ b/bootstrap/setup/setup.sh
@@ -34,4 +34,16 @@ git clone https://git.sils.li/ene/nixos-config /mnt/srv/etc/nixos
 mkdir -p /srv/home
 chmod 777 /srv/home
 
+readp "Do you want to continue with the user configuration setup?[y/n]: " result;
+case "$result" in
+    [yY])
+        nix run "git+https://git.sils.li/ene/nixos-config#config_setup";
+        ;;
+    *)
+        msg "Well, if you want to do everything yourself..."
+        exit 1
+        ;;
+esac
+
+
 if [ -d "$LIB_TEMP_DIR_FOR_SCRIPT" ];then rm -r "$LIB_TEMP_DIR_FOR_SCRIPT"; fi